package net.northking.cctp.executePlan.dto.planScript;

import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class AtuPlanScriptResultDto {

    @ApiModelProperty("一般")
    private List<AtuPlanScriptLinkDto> simpleList;

    @ApiModelProperty("场景")
    private List<AtuPlanScriptLinkDto> sceneList;

    @ApiModelProperty("是否存在PC/接口脚本")
    private boolean hasPC;

    @ApiModelProperty("是否存在移动脚本")
    private boolean hasMob;

    @ApiModelProperty("是否存在安卓脚本")
    private boolean hasAndroid;

    @ApiModelProperty("是否存在IOS脚本")
    private boolean hasIOS;

    @ApiModelProperty("是否存在B/S脚本")
    private boolean hasBS;

    @ApiModelProperty("是否存在C/S脚本")
    private boolean hasCS;

    @ApiModelProperty("是否存在接口脚本")
    private boolean hasAPI;

    public List<AtuPlanScriptLinkDto> getSimpleList() {
        return simpleList;
    }

    public void setSimpleList(List<AtuPlanScriptLinkDto> simpleList) {
        this.simpleList = simpleList;
    }

    public List<AtuPlanScriptLinkDto> getSceneList() {
        return sceneList;
    }

    public void setSceneList(List<AtuPlanScriptLinkDto> sceneList) {
        this.sceneList = sceneList;
    }

    public boolean isHasPC() {
        return hasPC;
    }

    public void setHasPC(boolean hasPC) {
        this.hasPC = hasPC;
    }

    public boolean isHasMob() {
        return hasMob;
    }

    public void setHasMob(boolean hasMob) {
        this.hasMob = hasMob;
    }

    public boolean isHasAndroid() {
        return hasAndroid;
    }

    public void setHasAndroid(boolean hasAndroid) {
        this.hasAndroid = hasAndroid;
    }

    public boolean isHasIOS() {
        return hasIOS;
    }

    public void setHasIOS(boolean hasIOS) {
        this.hasIOS = hasIOS;
    }

    public boolean isHasBS() {
        return hasBS;
    }

    public void setHasBS(boolean hasBS) {
        this.hasBS = hasBS;
    }

    public boolean isHasCS() {
        return hasCS;
    }

    public void setHasCS(boolean hasCS) {
        this.hasCS = hasCS;
    }

    public boolean isHasAPI() {
        return hasAPI;
    }

    public void setHasAPI(boolean hasAPI) {
        this.hasAPI = hasAPI;
    }
}
